org.apache.hadoop.fs.azurebfs.contracts.exceptions

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.fs.azurebfs.contracts.exceptions.AzureBlobFileSystemException
        - - org.apache.hadoop.fs.azurebfs.contracts.exceptions.TimeoutException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public final class TimeoutException
      extends AzureBlobFileSystemException

  Thrown when a timeout happens.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutException(String message)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.fs.azurebfs.contracts.exceptions.AzureBlobFileSystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeoutException

          public TimeoutException(String message)

Copyright © 2022 Apache Software Foundation. All rights reserved.